create or replace TRIGGER REPLICA_ENDERECOPARC_ENDEPROSP
AFTER INSERT OR UPDATE
ON ENDERECOPARC
FOR EACH ROW
DECLARE

  V_CDPROSPECT_RELACIONADO VARCHAR2(50);
  V_BAIRRO_PROSPECT VARCHAR2(50);
  V_TIPO_ENDERECO VARCHAR2(50);

BEGIN

    BEGIN
      SELECT CDPROSPECT
        INTO V_CDPROSPECT_RELACIONADO
        FROM PROSPECT
        WHERE NRPARCNEGOCIO = :NEW.NRPARCNEGOCIO
        AND NRORG = :NEW.NRORG
        AND ROWNUM = 1;

      EXCEPTION
        WHEN NO_DATA_FOUND THEN
        V_CDPROSPECT_RELACIONADO  := NULL;
    END;

    IF V_CDPROSPECT_RELACIONADO IS NOT NULL THEN

      SELECT NMBAIRRO
        INTO V_BAIRRO_PROSPECT
        FROM BAIRRO
        WHERE CDBAIRRO = :NEW.CDBAIRRO
        AND CDMUNICIPIO = :NEW.CDMUNICIPIO
        AND NRORG = :NEW.NRORG;

      /*CASE PARA RESOLVER A GAMBIARRA DA TABELA ENDEPROSPECT, O TIPO DE ENDEREO NO  RELACINADO A TABELA TIPOENDERECO*/
      CASE
        WHEN :NEW.CDTIPOENDERECO = 'PRINCIPAL'
          THEN V_TIPO_ENDERECO := 'P';
        WHEN :NEW.CDTIPOENDERECO = 'COBRANCA'
          THEN V_TIPO_ENDERECO := 'C';
        WHEN :NEW.CDTIPOENDERECO = 'EXTERIOR'
          THEN V_TIPO_ENDERECO := 'E';
        WHEN :NEW.CDTIPOENDERECO = 'EXPORTACAO'
          THEN V_TIPO_ENDERECO := 'X';
        WHEN :NEW.CDTIPOENDERECO = 'ENTREGA'
          THEN V_TIPO_ENDERECO := 'T';
        WHEN :NEW.CDTIPOENDERECO = 'OUTROS'
          THEN V_TIPO_ENDERECO := 'O';
        WHEN :NEW.CDTIPOENDERECO = 'COMERCIAL'
          THEN V_TIPO_ENDERECO := 'O';
        END CASE;

      IF INSERTING THEN

        INSERT INTO ENDEPROSPECT (CDPROSPECT, IDTPENDEPROS, CDPAIS, SGESTADO, CDMUNICIPIO, DSENDEPROS, NMBAIRPROS, NRCEPPROS,
        DSCOMPENDPRO, NRORG, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRENDERECOPARC, IDATIVO, CDBAIRRO, NRIMOVELENDERECO)
        VALUES(V_CDPROSPECT_RELACIONADO, V_TIPO_ENDERECO, :NEW.CDPAIS, :NEW.SGESTADO, :NEW.CDMUNICIPIO, :NEW.DSENDERECO, V_BAIRRO_PROSPECT,
        :NEW.NRCEPENDERECO, :NEW.DSCOMPLEENDERECO, :NEW.NRORG, SYSDATE, :NEW.NRORG, :NEW.CDOPERINCLUSAO, :NEW.NRENDERECOPARC, 'S', :NEW.CDBAIRRO,
        :NEW.NRIMOVELENDERECO);

      ELSE

        UPDATE ENDEPROSPECT
        SET IDTPENDEPROS = V_TIPO_ENDERECO,
            CDPAIS = :NEW.CDPAIS,
            SGESTADO = :NEW.SGESTADO,
            CDMUNICIPIO = :NEW.CDMUNICIPIO,
            DSENDEPROS = :NEW.DSENDERECO,
            NMBAIRPROS = V_BAIRRO_PROSPECT,
            NRCEPPROS = :NEW.NRCEPENDERECO,
            DSCOMPENDPRO = :NEW.DSCOMPLEENDERECO,
            NRORG = :NEW.NRORG,
            DTULTATU = SYSDATE,
            NRORGULTATU = :NEW.NRORG,
            CDOPERULTATU = :NEW.CDOPERINCLUSAO,
            IDATIVO = :NEW.IDATIVO,
            CDBAIRRO = :NEW.CDBAIRRO ,
            NRIMOVELENDERECO = :NEW.NRIMOVELENDERECO
        WHERE NRENDERECOPARC = :NEW.NRENDERECOPARC;

      END IF;
    END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('REPLICA_ENDERECOPARC_ENDEPROSP','0.00.000'); END;
/